
.wc-single-product {
    padding: 30px 0;
}

.wc-single-product .grid {
    gap: 24px;
}

.wc-single-product .wc-single-product-image-wrapper {
    border: 1px solid rgba(from var(--default-color) r g b /0.4);
    border-radius: 20px;
    overflow: hidden;
}

.wc-single-product .wc-single-product-details {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.wc-single-product .wc-single-product-details .wc-single-product-title {
    font-size: 36px;
    font-weight: 800;
}

.wc-single-product .wc-single-product-details .wc-single-product-short-description {
    color: rgba(from var(--default-color) r g b /0.2);
}

.wc-single-product .wc-single-product-details .wc-single-product-price {
    display: inline-block;
    background-color: rgba(from var(--accent-color) r g b /0.12);
    border-left: 6px solid var(--accent-color);
    padding: 12px 20px;
}

.wc-single-product .wc-single-product-details .wc-single-product-sale-price {
    color: var(--accent-color);
    font-size: 28px;
    font-weight: 600;
}

.wc-single-product .wc-single-product-details .wc-single-product-sale-price span {
    color: gray;
    font-size: 22px;
    font-weight: 600;
    text-decoration: line-through;
}

.wc-single-product .wc-single-product-details .wc-add-to-cart-container {
    display: flex;
    align-items: center;
    gap: 16px;
}

.wc-single-product .wc-single-product-details .wc-add-to-cart-container .counter-controls {
    display: flex;
    align-items: center;
    border: 1px solid rgba(from var(--default-color) r g b /0.4);
    padding: 6px;
}

.wc-single-product .wc-single-product-details .wc-add-to-cart-container .counter-controls i {
    transform: translateY(3px);
}

.wc-single-product .wc-single-product-details .wc-add-to-cart-container .counter-controls input {
    border: none;
    text-align: center;
}

.wc-single-product .wc-single-product-details .wc-add-to-cart-container .button {
    flex: 1;
}

.wc-single-product .related-products h3 {
    font-size: 36px;
    font-weight: 700;
    margin-top: 40px;
}